Scilab Function
Last update : April 1993

xrects - draw or fill a set of rectangles

### Calling Sequence

  `xrects(rects,[fill])`

### Parameters

- `rects`: matrix of size (4,n).
- `fill`: vector of size n.

### Description

`xrects` draws or fills a set of rectangles. Each column of `rects` describes a rectangle (upper-left point, width, height): `rects=[x1 y1 w1 h1;x2 y2 w2 h2;...]'`.

`fill(i)` gives the pattern to use for filling or drawing rectangle i:

if `fill(i)<0`, rectangle `i` is drawn using the line style (or color) `-fill(i)`

if `fill(i)>0`, rectangle `i` is filled using the pattern (or color) `fill(i)`

if `fill(i)=0`, rectangle `i` is drawn using the current line style (or color).

### Examples

    plot2d([-100,500],[-50,50],[-1,-1],"022")
    cols=[-34,-33,-32,-20:5:20,32,33,34];
    x=400*(0:14)/14; step=20;
    rects=[x;10*ones(x);step*ones(x);30*ones(x)];
    xrects(rects,cols)
    xnumb(x,15*ones(x),cols)

### See Also

`xfrect`, `xrect`,

### Author

J.Ph.C.